<?php

/*
language file for Logo Links--courtesy machinari
*/


//add this language array to your plugin's english language file

$LANG_LG = array (
    //general
    'access_denied'     => 'Access Denied',
    'access_denied_msg' => 'Only Root Users have Access to this Page.  Your user name and IP have been recorded.',
    'access_denied_msg1'=> 'Only Authorized Users have Access to this Page.  Your user name and IP have been recorded.',
    'admin'             => 'Plugin Admin',
    'enabled'           => 'Disable plugin before uninstalling.',
    'install'           => 'Install',
    'install_failed'    => 'Installation Failed -- See your error log to find out why.',
    'install_header'    => 'Install/Uninstall Plugin',
    'install_success'   => 'Installation Successful',
    'installdoc'        => 'Install Document',
    'installed'         => 'The Plugin is Installed',
    'plugin'            => 'Plugin',
    'readme'            => 'STOP! Before you press install please read the ',
    'uninstall'         => 'UnInstall',
    'uninstall_msg'     => 'Plugin Successfully Uninstalled',
    'uninstalled'       => 'The Plugin is Not Installed',
    'warning'           => 'Warning! Plugin is still Enabled',
    //admin
    'cancel'            => 'Cancel',
    'reset'             => 'Reset',
    'create'            => 'Create',
    'delete'            => 'Delete',
    'newlegend'         => 'Create new logo link',
    'editlegend'        => 'Logo ID: %s',
    'deflegend'         => 'Defaults apply to all logo links',
    'sortnum'           => 'Sort position',
    'alphatxt'          => 'logo ID (alpha)',
    'numtxt'            => 'sort position',
    'sortnum_label'     => 'Sort by',
    'displim_label'     => 'Logos per page',
    'localimg_label'    => 'Logo image',
    'remoteimg_label'   => 'Or upload an image',
    'link_label'        => 'Link URL',
    'ldesc_label'       => 'Description',
    'blklim_label'      => 'Random block limit',
    'maxw_label'        => 'Maximum width',
    'maxh_label'        => 'Maximum height',
    'maxf_label'        => 'Maximum file size',
    'sizetxt'           => '1048576 = 1MB; 512000 = 500K',
    'img_pathtxt'       => '%s',
    'img_types'         => 'gif/jpg/png',
    'topic_label'       => 'Topics to associate with this category',
    'defimg'            => 'Default image',
    'pixtxt'            => 'pixels',
    'update'            => 'Update',
    'name_label'        => 'Name',
    'admin_menu'        => 'Logos',
    'status_label'      => 'Display in block',
    'seeall'            => 'View Logos',
    'yes'               => 'yes',
    'no'                => 'no',
    'checked'           => ' checked="checked"',
    'admintitle'        => 'Logos Administration and Category Configuration',
    'indextitle'        => 'Logo Links',
    'edit'              => 'Edit',
    'newtitle'          => 'New Logo Configuration',
    'defstitle'         => 'Edit Default Settings',
    'edittitle'         => 'Modify Existing Logos',
    'lid_label'         => 'ID',
    'spacetxt'          => 'No Spaces',
    'httptxt'           => 'Must begin with http://',
    'extant'            => '<p style="color: red; align: center;">That logo ID is already in use. Please try again.</p>',
    'notextant'         => '<p style="color: red; align: center;">That logo ID does not exist. Please try again.</p>',
    'empty'             => '<p style="color: red; align: center;">You must specify a logo ID in order to create or update a logo. Please try again.</p>',
    'emptyimg'          => '<p style="color: red; align: center;">You must provide a logo image in order to create or update a logo. Please try again.</p>',
    'err'               => '<p style="color: red; align: center;">An error occured while saving your logo. Please try again.</p>',
    'delerr'            => '<p style="color: red; align: center;">An error occured while deleting your logo. Please try again.</p>',
    'deferr'            => '<p style="color: red; align: center;">An error occured while updating your default settings. Please try again.</p>',
    'succ'              => '<p style="color: red; align: center;">Logo saved successfully.</p>',
    'delsucc'           => '<p style="color: red; align: center;">Logo deleted successfully.</p>',
    'defsucc'           => '<p style="color: red; align: center;">Default settings updated successfully.</p>',
    'imgerr'            => '<p style="color: red; align: center;">An error has occured while saving your image--please check your file restrictions.</p>',
    'disabled'          => ' disabled="disabled"',
    'alpha'             => 'alpha',
    'deltxt'            => 'Deleting a logo link does not remove the associated image from the server.',
    //public
    'menulabel'         => 'Logo Links',
    'indexlink'         => 'Logo Links',
    'adminlink'         => 'Add a Logo',
    'statustxt'         => 'Logos are displayed by default in the random block.  The option to turn this off for a particular logo allows for the possibility of larger default dimensions while ensuring that the larger images will not break the column display.',

);

?>