<?php

/*
public page for Logo Links--courtesy machinari
*/


require_once('../lib-common.php');

/*
// Retrieve access settings
$query = DB_query("SELECT anonview FROM {$LG_TABLES['defaults']}");
list($anonview) = DB_fetchArray($query);
// Check user has rights to access this page
if (($anonview == '0') && ($_USER['uid'] < 2)) {
    // Someone is trying to illegally access this page
    COM_errorLog("Someone has tried to illegally access the logos page.  User id: {$_USER['uid']}, Username: {$_USER['username']}, IP: $REMOTE_ADDR",1);
    $display = COM_siteHeader();
    $display .= COM_startBlock($LANG_LG['access_denied']);
    $display .= $LANG_LG['access_denied_msg1'];
    $display .= COM_endBlock();
    $display .= COM_siteFooter(true);
    echo $display;
    exit;
}
*/

function display_logos(){
    global $LG_TABLES, $LG_CONF, $_CONF, $LANG_LG;

    //get sort order
    $s = DB_getItem($LG_TABLES['defaults'], 'sortby');
    if ($s == '1'){
        $sortby = 'ORDER BY sortnum';//num position
    } else $sortby = 'ORDER BY lid';//alpha

    //get logos
    $a = DB_query("SELECT * FROM {$LG_TABLES['logos']} $sortby");
    $T = new Template($_CONF['path'] . 'plugins/logos/templates');
    $T->set_file(array ('page' => 'index.thtml', 'logo' => 'logo.thtml'));
    //$T->set_var('start_block', COM_startBlock($LANG_LG['indextitle']));
    //$T->set_var('end_block', COM_endBlock());
    while ($row = DB_fetchArray($a)){
        $T->set_var('logolink', htmlentities(stripslashes($row['url'])));
        $T->set_var('imgurl', $_CONF['site_url'] . $LG_CONF['img_url'] . '/' . stripslashes($row['image']));
        $T->set_var('desc', htmlentities(stripslashes($row['ldesc'])));
        list($w, $h, $f, $attr) = getimagesize($_CONF['path_html'] . $LG_CONF['img_path'] . (htmlentities(stripslashes($row['image']))));
        $T->set_var('attr', $attr);
        $T->set_var('height', $height);
        $T->set_var('width', $width);
        if (SEC_hasRights('logos.edit')){
            $T->set_var('edit', '<a href="' . $_CONF['site_admin_url'] . '/plugins/logos/index.php?edit=' . htmlentities(stripslashes($row['lid'])) . '">' . $LANG_LG['edit'] . '</a>');
        }
        $T->parse('nexlogo','logo',true);
    }
    $T->parse('output', 'page');
    $retval = $T->finish($T->get_var('output'));
    return $retval;
}


//main function

$display = COM_siteHeader();
$display .= COM_startBlock($LANG_LG['indextitle']);
if (isset($_GET['msg'])){
    $display .= $LANG_LG[$_GET['msg']];
}
$display .= logos_menu();
$display .= display_logos();
$display .= COM_endBlock();
$display .= COM_siteFooter();
echo $display;

?>