<?php

/**
* SQL Commands for the Logo Links Plugin--courtesy machinari
**/

#
# Table structure for logos
#

$_SQL[] = "CREATE TABLE {$LG_TABLES['defaults']} (
  blk_disp_lim TINYINT(3) UNSIGNED NOT NULL default '3',
  displim TINYINT(3) UNSIGNED NOT NULL default '18',
  max_img_width INT UNSIGNED NOT NULL default '160',
  max_img_height INT UNSIGNED NOT NULL default '120',
  max_file_size INT UNSIGNED NOT NULL default '204800',
  sortby TINYINT(1) NOT NULL default '1'
) TYPE=MyISAM";

#
# Table structure for linked topics
#

$_SQL[] = "CREATE TABLE {$LG_TABLES['logos']} (
  lid VARCHAR(20) NOT NULL,
  image VARCHAR(255) NULL,
  url VARCHAR(255) NOT NULL,
  ldesc VARCHAR(255) NULL,
  sortnum TINYINT(3) UNSIGNED NOT NULL,
  status TINYINT(1) NOT NULL default '1',
  UNIQUE lid (lid(20))
) TYPE=MyISAM";

?>